#include <stdio.h>
#include <unistd.h>

int fgetc(FILE *f)
{
	unsigned char c;

	if (f->eof)
		return EOF;

	if (f->lastc >= 0) {
		c = (unsigned char)f->lastc;
		f->lastc = -1;
	} else {
		if (read(f->fd, &c, 1) < 1) {
			f->eof = 1;
			return EOF;
		}
	}
	return c;
}
