#include <unistd.h>
#include <dirent.h>
#include <string.h>
#include <stdio.h>

int getdents(unsigned int fd, struct dirent *dirp, unsigned int count);

#define BUFSIZE 1024

struct dirent *readdir(DIR *d)
{
	struct dirent *ent;

	do {
		if (d->offset >= d->size) {
			if ( (d->size = getdents(d->fd, (struct dirent *)d->buf, DIRENTBUF)) <= 0) {
				return NULL;
			}

			d->offset = 0;
		}

		ent = (struct dirent *)(d->buf + d->offset);
		d->offset += ent->d_reclen;
	} while (ent->d_ino == 0);

	return ent;
}
