#include <sys/types.h>
#include <time.h>
#include <unistd.h>

unsigned int sleep(unsigned int seconds)
{
	struct timespec req, rem;
	unsigned int left = 0;

	req.tv_sec = seconds;
	req.tv_nsec = 0;
	if (nanosleep(&req, &rem) < 0) {
		left = rem.tv_sec - req.tv_sec;
	}
	return left;
}
