#ifndef SYS_TYPES_H
#define SYS_TYPES_H

struct timespec {
	long tv_sec;
	long tv_nsec;
};

typedef int pid_t;
typedef unsigned int uid_t;
typedef unsigned int gid_t;
typedef unsigned int mode_t;
typedef unsigned long dev_t;
typedef unsigned long ino_t;
#if defined(__x86_64__)
typedef unsigned long nlink_t;
#elif defined(__aarch64__)
typedef unsigned int nlink_t;
#endif
typedef long off_t;
typedef long blksize_t;
typedef long blkcnt_t;

#endif
