#define ISIG	0000001
#define ICANON	0000002
#define ECHO	0000010
#define IEXTEN	0100000

#define BRKINT	0000002
#define ICRNL	0000400
#define INPCK	0000020
#define ISTRIP	0000040
#define IXON	0002000

#define CSIZE	0000060
#define PARENB	0000400
#define CS8	0000060

#define OPOST	0000001

#define VMIN	6
#define VTIME	5

#define NCCS	19

#define TCSANOW		0
#define TCSADRAIN	1
#define TCSAFLUSH	2

typedef unsigned char 	cc_t;
typedef unsigned int	speed_t;
typedef unsigned int	tcflag_t;

struct termios {
	tcflag_t c_iflag;
	tcflag_t c_oflag;
	tcflag_t c_cflag;
	tcflag_t c_lflag;
	cc_t c_line;
	cc_t c_cc[NCCS];
	speed_t c_ispeed;
	speed_t c_ospeed;
};
