#include <stdio.h>
#include <string.h>

int main(int argc, char *argv[])
{
	int i;
	size_t j, l;

	printf("argc: %d\n", argc);
	for (i = 0; i < argc; i++) {
		l = strlen(argv[i]);
		printf("argv[%d]:\n", i);
		for (j = 0; j <= l; j++) {
			char esc[3];
			unsigned char c;

			c = argv[i][j];
			if (c < 32 || c == 127) {
				esc[0] = '^';
				esc[1] = c ^ 0x40;
				esc[2] = '\0';
			} else if (c < 128) {
				esc[0] = c;
				esc[1] = '\0';
			} else {
				esc[0] = '\0';
			}
			printf("  %4zu: %3s (%3d %02x)\n", j, esc, c, c);
		}
	}
}
