#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

#define BUFSZ 1024

int main(int argc, char *argv[])
{
	FILE *f;
	char buf[BUFSZ];
	int n;

	n = snprintf(buf, BUFSZ, "/tmp/tmpfile.%d", getpid());
	if (n < 0 || n >= BUFSZ)
		exit(1);
	
	if (! (f = fopen(buf, "w")) ) {
		perror(buf);
		exit(1);
	}
	fprintf(f, "something\n");
	fclose(f);
	unlink(buf);
	return 0;
}
