#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <stdio.h>

/*
 * in its simplest form, the chmod command is just a wrapper for the chmod
 * system call
 */

int main(int argc, char* argv[])
{
	if (argc < 3)
		return 1;

	if (chmod(argv[2], strtol(argv[1], NULL, 8)) < 0) {
		perror(argv[2]);
		exit(1);
	}
	return 0;
}
