.macro sys num name
.global \name
\name:
	mov $\num, %eax
	mov %rcx, %r10
	syscall
	cmp $0, %rax
	jge 1f
	neg %rax
	mov %rax, errno
	mov $-1, %rax
1:	ret
.endm

sys	 0	read
sys	 1	write
sys	 2	open
sys	 3	close
sys	 4	stat
sys	 5	fstat
sys	 6	lstat
sys	 8	lseek
sys	 13	rt_sigaction
sys	 15	rt_sigreturn
sys	 16	ioctl
sys	 21	access
sys	 22	pipe
sys      23     select
sys	 32	dup
sys	 35	nanosleep
sys	 39	getpid
sys      41     socket
sys      43     accept
sys      49     bind
sys      50     listen
sys      54     setsockopt
sys	 57	fork
sys	 59	execve
sys	 61	wait4
sys	 62	kill
sys	 80	chdir
sys	 82	rename
sys	 83	mkdir
sys	 84	rmdir
sys	 86	link
sys	 87	unlink
sys	 88	symlink
sys	 89	readlink
sys	 90	chmod
sys	 91	fchmod
sys	 92	chown
sys	 93	fchown
sys	 95	umask
sys	 102	getuid
sys	 105	setuid
sys	 106	setgid
sys	 107	geteuid
sys	 109	setpgid
sys	 112	setsid
sys	 116	setgroups
sys	 118	getresuid
sys	 124	getsid
sys	 161	chroot
sys	 165	mount
sys	 217	getdents

.global brk
brk:
	mov $12, %eax
	syscall
	ret

.global _exit,exit
exit:
_exit:
	mov $60, %eax
	syscall
