#include <sys/types.h>

struct dirent {
	unsigned long  d_ino;     /* Inode number */
	unsigned long  d_off;     /* Offset to next linux_dirent */
	unsigned short d_reclen;  /* Length of this linux_dirent */
	char	       d_type;
	char           d_name[];  /* Filename (null-terminated) */
};

typedef struct DIR {
	int fd;
#define DIRENTBUF 4096
	char buf[DIRENTBUF];
	int size;
	int offset;
} DIR;

DIR *opendir(const char *path);
struct dirent *readdir(DIR *d);
int closedir(DIR *d);
