#include <stdio.h>
#include <unistd.h>

#define BUFSIZE 1024
int fprintf(FILE *f, const char *fmt, ...)
{
        va_list ap;
	char buf[BUFSIZE];
        int l;

        va_start(ap, fmt);
        l = vsnprintf(buf, BUFSIZE, fmt, ap);
        va_end(ap);

	return write(f->fd, buf, l);
}
