#include <unistd.h>
#include <stdlib.h>
#include <malloc.h>

void *malloc(size_t sz)
{
	static char *next = NULL;
	char *newbrk;
	void *rv;

	if (next == NULL)
		next = brk(0);

	rv = next;
	newbrk = next + sz;
	if (brk(newbrk) == next)
		return NULL;
	next = newbrk;
	return rv;
}
