#include <fcntl.h>
#include <unistd.h>
#include <dirent.h>
#include <malloc.h>

DIR *opendir(const char *path)
{
	DIR *d;

	if ( (d = malloc(sizeof(*d))) == NULL)
		return NULL;

	if ( (d->fd = open(path, O_RDONLY)) < 0) {
		free(d);
		return NULL;
	}

	d->offset = d->size = 0;

	return d;
}
