#include <stddef.h>
#include <signal.h>

#define WIDTH (sizeof(unsigned long)*8)

int sigaddset(sigset_t *set, int signo)
{
	if (set == NULL || signo < 0 || signo >= 64)
		return -1;

	set->val[(signo - 1) / WIDTH] |= 1UL << ((signo - 1) % WIDTH);
	return 0;
}
