struct timeval;
typedef unsigned long fd_set;
int select(int nfds, fd_set *readfds, fd_set *writefds, fd_set *exceptfds,
		struct timeval *timeout);
#define FD_CLR(fd, set)		(*(set) &= ~(1UL << (fd)))
#define FD_ISSET(fd, set)	(*(set) & (1UL << (fd)))
#define FD_SET(fd, set)		(*(set) |= (1UL << (fd)))
#define FD_ZERO(set)		(*(set) = 0)
