#define SOL_SOCKET 1
#define SO_REUSEADDR 2

typedef unsigned short sa_family_t;
typedef size_t socklen_t;

struct sockaddr {
	sa_family_t	sa_family;
	char		sa_data[];
};

int socket(int domain, int type, int protocol);
int bind(int sockfd, const struct sockaddr *addr, socklen_t addrlen);
int listen(int sockfd, int backlog);
int accept(int sockfd, struct sockaddr *addr, socklen_t *addrlen);
int setsockopt(int sockfd, int level, int optname, const void *optval, socklen_t optlen);
