#include <stdlib.h>
#include <string.h>

extern char **environ;

int unsetenv(const char *name)
{
	char **p, **q;
	size_t len;

	len = strlen(name);
	for (p = environ; *p != NULL; p++) {
		if (strncmp(*p, name, len) || *(*p + len) != '=')
			continue;
		q = p;
		do {
			*q = *(q + 1);
		} while (*q++ != NULL);
	}
	return 0;
}
