#include <sys/stat.h>
#include <stdlib.h>
#include <stdio.h>
#include <unistd.h>

int main(int argc, char *argv[])
{
	FILE *f;
	struct stat sb;

	if (lstat("/tmp/tmpfile", &sb) >= 0) {
		fprintf(stderr, "please remove /tmp/tmpfile\n");
		exit(1);
	}

	sleep(5);
	
	if (! (f = fopen("/tmp/tmpfile", "w")) ) {
		perror("/tmp/tmpfile");
		exit(1);
	}
	fprintf(f, "something\n");
	fclose(f);
	unlink("/tmp/tmpfile");
	return 0;
}
