#include <unistd.h>
#include <stdlib.h>
#include <string.h>
#include <pwd.h>

/*
 * login that creates environment variables
 */

#define MAX_LINE  80

int main(int argc, char* argv[])
{
	char *pass;
	struct passwd *pw;

	if (argc < 2)
		return 1;

	pass = getpass("Password: ");

	if ( (pw = getpwnam(argv[1])) == NULL )
		exit(1);
	
	if (strcmp(pass, pw->pw_passwd) != 0)
		exit (1);

	setenv("USER", pw->pw_name, 1);

	setuid(pw->pw_uid);

	setenv("HOME", pw->pw_dir, 1);
	chdir(pw->pw_dir);

	setenv("SHELL", pw->pw_shell, 1);
	execl(pw->pw_shell, "-sh", NULL);
	exit(1);
}
