#include <sys/wait.h>
#include <stdlib.h>
#include <stdio.h> /* for perror() */
#include <unistd.h>

#define MAX_LINE 1024

/* minimal shell.
 * shows fork/exec exit/wait
 */

int main()
{
	char buf[MAX_LINE];
	int n;

	while ( (n = read(0, buf, MAX_LINE)) > 1 ) {

		buf[n - 1] = '\0';

		if (fork()) {
			wait(0);
		} else {
			execl(buf, buf, NULL);
			perror(buf);
			exit(1);
		}
	}
	return 0;
}
